package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Basic Functions for Business Transactions
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Trnmod  extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Trnmod.class);

    private Trndoc trndoc;

    private Trn trn;

    @Override
    public void reset() {
        super.reset();
        if (trndoc == null) {
            trndoc = new Trndoc();
        }
        trndoc.reset();
        if (trn == null) {
            trn = new Trn();
        }
    }

}